package com.awesomeproject3;


import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.tplmaps3d.MapController;
import com.tplmaps3d.MapView;


public class MyFragment extends Fragment implements MapView.OnMapReadyCallback  {
    CustomView customView;
    private MapView mapView;


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup parent, Bundle savedInstanceState) {
        super.onCreateView(inflater, parent, savedInstanceState);
       // customView = new CustomView(this.getContext());
        View rootView = inflater.inflate(R.layout.fragmnet_map, parent, false);
        mapView  = rootView.findViewById(R.id.map);

//


        return rootView; // this CustomView could be any view that you want to render
    }


    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        mapView.onCreate(savedInstanceState);



        try {
            mapView.loadMapAsync(this);
        }catch (Exception e){
            Log.d("ERRORCHEKC" , e.toString());
        }



    }

    @Override
    public void onPause() {
        super.onPause();
        // do any logic that should happen in an `onPause` method
        // e.g.: customView.onPause();
    }

    @Override
    public void onResume() {
        super.onResume();
      //  Toast.makeText(getActivity(), "Tada bichu", Toast.LENGTH_SHORT).show();
        // do any logic that should happen in an `onResume` method
        // e.g.: customView.onResume();
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        // do any logic that should happen in an `onDestroy` method
        // e.g.: customView.onDestroy();
    }

    @Override
    public void onMapReady(MapController mapController) {

        //mapController.setMyLocationEnabled(true, MapController.MyLocationArg.ZOOM_LOCATION_ON_FIRST_FIX);
    }
}
